Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist.xml
Class SerializerRegistry

    java.lang.Object
      org.flexdock.perspective.persist.xml.SerializerRegistry

    public class SerializerRegistry

extends Object

Created on 2005-06-03

Version:
  $Id: SerializerRegistry.java,v 1.5 2005-07-05 14:53:29 marius Exp $
Author:
  Mateusz Szczap

Constructor Summary
`SerializerRegistry()`

Method Summary
`static ISerializer` | `getSerializer(Class clazz)`
`static void` | `registerSerializer(Class clazz, ISerializer serializer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerRegistry

    public SerializerRegistry()

Method Detail

### registerSerializer

    public static void registerSerializer(Class clazz,
                                          ISerializer serializer)

### getSerializer

    public static ISerializer getSerializer(Class clazz)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD